Description: Check for correct values on entry to ShmPutBitmap()
Origin: other

--- koules-1.4.orig/xlib/shmbitmap.c	2007-10-26 21:16:50.000000000 -0400
+++ koules-1.4/xlib/shmbitmap.c	2007-10-26 21:18:21.000000000 -0400
@@ -187,6 +187,9 @@
 void
 ShmPutBitmap (int x, int y, int w, int h, void *_dp)
 {
+  if (x < 0 || y < 0)
+    return;
+
 /* no clipping */
   uchar          *dp = _dp;
   uchar          *vp, *vpline;
